petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSetCoordinateDM

Sets the DM that prescribes coordinate layout and scatters between global and local coordinates

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetCoordinateDM(DM dm, DM cdm)

Logically Collective on dm

### Input Parameters

| dm | - the DM
| cdm | - coordinate DM

### See Also

DMGetCoordinateDM(), DMSetCoordinates(), DMSetCoordinatesLocal(), DMGetCoordinates(), DMGetCoordinatesLocal()

### Level

intermediate

### Location

src/dm/interface/dm.c

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages